package com.jiayue.ipp.idp.controller.an;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiayue.ipp.common.data.entity.an.ParsingDqInfo;
import com.jiayue.ipp.idp.service.an.ParsingDqInfoService;
import com.jiayue.ipp.idp.util.R;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequiredArgsConstructor
@RequestMapping("/parsingDqController")
public class ParsingDqController {
    @Autowired
    ParsingDqInfoService parsingDqInfoService;

    @ApiOperation(value = "添加短期配置", notes = "添加短期配置")
    @PostMapping()
    public R add(@RequestBody ParsingDqInfo parsingDqInfo) {
        if (parsingDqInfoService.save(parsingDqInfo)) {
            return R.ok("添加成功！");
        } else {
            return R.failed("添加失败！");
        }
    }

    @ApiOperation(value = "修改短期配置", notes = "修改短期配置")
    @PutMapping()
    public R update(@RequestBody ParsingDqInfo parsingDqInfo) {
        if (parsingDqInfoService.updateById(parsingDqInfo)) {
            return R.ok("修改成功！");
        } else {
            return R.failed("修改失败！");
        }
    }

    @ApiOperation(value = "根据id删除短期配置", notes = "根据id删除短期配置")
    @DeleteMapping("/{id}")
    public R delete(@PathVariable String id) {
        if (parsingDqInfoService.removeById(id)) {
            return R.ok("删除成功！");
        } else {
            return R.failed("删除失败！");
        }
    }

    @ApiOperation(value = "分页查询短期配置", notes = "分页查询短期配置")
    @GetMapping("/page")
    public R page(ParsingDqInfo parsingDqInfo, Page page) {
        return R.ok(parsingDqInfoService.page(page, Wrappers.query(parsingDqInfo)));
    }
}
